@echo off

rem ##########################################################################
rem # Copyright This file is copyrighted by its owner
rem #
rem # This is free software; see the distribution for copying conditions.
rem # There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
rem # PARTICULAR PURPOSE.
rem ##########################################################################

if "%OS%"=="Windows_NT" (
  @setlocal
  set SCALA_HOME=%~dp0..%
) else (
  if "%SCALA_HOME%"=="" goto error1
)
set _SCALA_HOME=%SCALA_HOME%

set _JAVACMD=%JAVACMD%
if "%_JAVACMD%"=="" set _JAVACMD=java
set _JAVAFLAGS=-Xmx256M -Xms16M

set _CLASSPATH=%_SCALA_HOME%\lib\sbaz.jar;%_SCALA_HOME%\misc\sbaz\scala-library.jar
if not "%_CLASSPATH%"=="" goto args
for %%f in ("%SCALA_HOME%\lib\*.jar") do call :add_cpath "%%f"

:args
set _ARGS=
:loop
if "%1"=="" goto exec
if "%1"=="-version" goto version
set _ARGS=%_ARGS% %1
shift
goto loop

:exec
set _PROPS=-Dscala.home="%SCALA_HOME%" -Dscala.tool.name="Scala Bazaars command-line client" -Dscala.tool.version="1.12d" 

rem echo %_JAVACMD% %_JAVAFLAGS% %_PROPS% -cp "%_CLASSPATH%" sbaz.clui.CommandLine  %_ARGS%
%_JAVACMD% %_JAVAFLAGS% %_PROPS% -cp "%_CLASSPATH%" sbaz.clui.CommandLine  %_ARGS%
goto end

:version
echo Scala Bazaars command-line client version 1.12d -- This file is copyrighted by its owner
goto end

rem ##########################################################################
rem # subroutines

:add_cpath
  if "%_CLASSPATH%"=="" (
    set _CLASSPATH=%~1
  ) else (
    set _CLASSPATH=%_CLASSPATH%;%~1
  )
goto :eof

rem ##########################################################################
rem # errors

:error1
echo ERROR: environment variable SCALA_HOME is undefined. It should point to your sbaz directory.
goto end

:end
if "%OS%"=="Windows_NT" @endlocal
